### Method

# GObject ParamSpec get_qdata

#### Declaration

    gpointer
    g_param_spec_get_qdata (
      GParamSpec* pspec,
      GQuark quark
    )

#### Description

Gets back user data pointers stored via g_param_spec_set_qdata().

#### Parameters

`quark`

  Type: `GQuark`

  A `GQuark`, naming the user data pointer.

#### Return value

Type: `gpointer`

The user data pointer set, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.